Bug 603714 - [abrt] crash in pyzor-0.5.0-3.fc12: client.py:180:run:OSError: [Errno 13] Permission denied: '/home/ksp/.pyzor'
[abrt] crash in pyzor-0.5.0-3.fc12: client.py:180:run:OSError: [Errno 13] Per...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyzor (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
abrt_hash:14903c4f
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 08:30 EDT by Dieter Kasper
Modified: 2011-06-27 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (896 bytes, text/plain)
2010-06-14 08:30 EDT, Dieter Kasper
no flags Details

  None (edit)
Description Dieter Kasper 2010-06-14 08:30:24 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -Wignore::DeprecationWarning /usr/bin/pyzor check
component: pyzor
executable: /usr/bin/pyzor
kernel: 2.6.33.5-112.fc13.x86_64
package: pyzor-0.5.0-3.fc12
reason: client.py:180:run:OSError: [Errno 13] Permission denied: '/home/ksp/.pyzor'
release: Fedora release 13 (Goddard)

backtrace
-----
client.py:180:run:OSError: [Errno 13] Permission denied: '/home/ksp/.pyzor'

Traceback (most recent call last):
  File "/usr/bin/pyzor", line 8, in <module>
    pyzor.client.run()
  File "/usr/lib/python2.6/site-packages/pyzor/client.py", line 1022, in run
    ExecCall().run()
  File "/usr/lib/python2.6/site-packages/pyzor/client.py", line 180, in run
    os.mkdir(homedir)
OSError: [Errno 13] Permission denied: '/home/ksp/.pyzor'

Local variables in innermost frame:
homedir: '/home/ksp/.pyzor'
k: 'Timeout'
args: ['check']
options: []
self: <pyzor.client.ExecCall object at 0x7f7a31e2c050>
debug: 0
defaults: {'DiscoverServersURL': 'http://pyzor.sourceforge.net/cgi-bin/inform-servers-0-3-x', 'ServersFile': 'servers', 'AccountsFile': 'accounts', 'Timeout': '5'}
v: '5'
specified_homedir: None
config: <pyzor.Config object at 0x7f7a2b481190>
servers_fn: '/home/ksp/.pyzor/servers'
log: None
Comment 1 Dieter Kasper 2010-06-14 08:30:26 EDT
Created attachment 423814 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 06:56:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:11:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.